#include "GameData.h"
#include "LogicPlayer.h"
#include "Match.h"
#include "UserInput.h"

GameData::GameData()
{
	_players[0] = new LogicPlayer(this, 0);
	_players[1] = new LogicPlayer(this, 1);
}

GameData::~GameData()
{
	delete _players[0];
	delete _players[1];
}

void GameData::new_game(PLAYER_ID p1, PLAYER_ID p2)
{
	_players[0]->load(p1);
	_players[1]->load(p2);
}